package cn.edu.zjvtit.cloudstorage.apiservice.rabbitmq.topic;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class Sender {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void send(String filename) {
        this.rabbitTemplate.convertAndSend("dataServers", filename);
    }
}
