package cn.edu.zjvtit.cloudstorage.dataservice.rabbitmq;

import org.springframework.amqp.core.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class TopicRabbitConfig {

    final static String apiMessage = "apiServers";
    final static String dataMessage = "dataServers";

    @Bean
    public Queue queueApi() {
        return new Queue(TopicRabbitConfig.apiMessage);
    }

    @Bean
    public Queue queueData() {
        return new Queue(TopicRabbitConfig.dataMessage);
    }
//
//    @Bean
//    TopicExchange exchange() {
//        return new TopicExchange("topicExchange");
//    }
}